#include <windows.h>
#include "splash.h"
#include <stdio.h>

BOOL CALLBACK Splash_DlgProc(HWND hwnd, UINT nMessage, WPARAM wParam, LPARAM lParam) {
    switch (nMessage) {
        case WM_COMMAND:
        	switch (LOWORD(wParam)) {
        	
		    	case IDOK:
		        	EndDialog(hwnd, TRUE);
		        	break;
		    }
        	break;
    }
    return FALSE;
}


int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrev,
				   LPSTR pszCmdLine, INT nCmdShow) {
    HWND hSplash;

    printf("Showing splash.\n");
    hSplash = CreateDialog (hInstance, MAKEINTRESOURCE(IDD_SPLASH), NULL, Splash_DlgProc);
    SetForegroundWindow(hSplash);
    UpdateWindow(hSplash);

    Sleep(5000);
    printf("Removing splash.\n");
    DestroyWindow(hSplash);

}
